System 2.0.0.0 4.0.0.0 System.Configuration.ConfigurationElementCollection System.Configuration.ConfigurationCollection(typeof(System.Net.Configuration.WebRequestModuleElement), CollectionType=System.Configuration.ConfigurationElementCollectionType.AddRemoveClearMap)

This collection holds instances of the WebRequestModules Element (Network Settings) configuration element, which are used to specify modules registered to create requests made with the and classes.

Represents a container for Web request module configuration elements. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor does nothing.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Adds an element to the collection.

  The to add to the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Void To be added.

  Removes all elements from the collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Configuration.ConfigurationElement To be added.

  Returns a new configuration element.

  A .

- Method
  2.0.0.0
  4.0.0.0
  System.Object `` To be added.

  Returns the key for the specified configuration element.

  The key value of .

  A .
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added.

  Returns the index of the specified configuration element.

  The zero-based index of .

  A .
- Property
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.Net.Configuration.WebRequestModuleElement `` To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.Net.Configuration.WebRequestModuleElement `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes the specified configuration element from the collection.

  The to remove.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes the element with the specified key.

  The key of the element to remove.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes the element at the specified index.

  The zero-based index of the element to remove.